#ifndef __ARGS_HEADER_INCLUDED__
#define __ARGS_HEADER_INCLUDED__

#define ARGTYPE_NOP		0
#define ARGTYPE_UINT		1
#define ARGTYPE_PUINT		2
#define ARGTYPE_INT		3
#define ARGTYPE_PINT		4
#define ARGTYPE_BYTES		5
#define ARGTYPE_PBYTES		6
#define ARGTYPE_STRING		7
#define ARGTYPE_LITERAL		ARGTYPE_STRING
#define ARGTYPE_MAX		8

struct arg;

typedef int(*arg_cbfn_t)(struct arg *);

struct arg {
	char *name;
	unsigned short type;

	arg_cbfn_t fn;

	union {
		unsigned int v_bytes;
		unsigned int v_uint;
		int v_int;
		char *v_str;
		char *v_literal;
		unsigned int *vp_bytes;
		unsigned int *vp_uint;
		int *vp_int;
	}val;
};

#ifndef __PLUGIN__
int args_parse(struct arg *a, char *str);
#else
typedef int (*proc_args_parse)(struct arg *, char *);
#endif

#endif /* __ARGS_HEADER_INCLUDED__ */
