#ifndef __RLIM_HEADER_INCLUDED__
#define __RLIM_HEADER_INCLUDED__

/* These limits should be adequate for almost anyone. The
 * purpose is to catch runaway resource usage. If you
 * think any of these limits is unreasonable drop an email
 * to the mailing list <firestorm@ecsc.co.uk>. Most things
 * are stored as linked lists and are therefore unlimited
 * these are all artificial.
 */

/* Maximum number of registered capture device types */
#define MAX_CAPDEVS		32

/* Only 1 at the moment */
#undef MAX_CAPTURES		

/* Maximum number of cleanup handlers */
#define MAX_CLEANUP		4096

/* Maximum number of registered protocols */
#define MAX_PROTOS		512

/* Maximum number of loaded plugins */
#define MAX_PLUGINS		64

/* Maximum number of config signature file parsers */
#define MAX_PARSERS		32

/* Maximum number of registered preprocessors */
#define MAX_PREPROC		64

/* Maximum size of realm preproc set */
#undef MAX_PREPROC_PER_REALM

/* undefined because they are limited anyway */
#undef MAX_REALMS

/* Maximum number of alert targets registered */
#define MAX_TARGETS		128

/* Maximum number of matchers allowed */
#define MAX_MATCHERS		256

#endif /* __RLIM_HEADER_INCLUDED__ */
